Package com.ocient.jdbc.proto

# Interface PlanProtocol.SwitchOperatorOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `PlanProtocol.SwitchOperator`, `PlanProtocol.SwitchOperator.Builder`

Enclosing class:
  PlanProtocol

    public static interface PlanProtocol.SwitchOperatorOrBuilder
    extends com.google.protobuf.MessageOrBuilder

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`PlanProtocol.CNF` | `getFilters​(int index)` | the cnf representing each case, the final "else" case is implicit, and if none of these evaluate to true then the implicit else is used always evaluate the cases in order, ie.
`int` | `getFiltersCount()` | the cnf representing each case, the final "else" case is implicit, and if none of these evaluate to true then the implicit else is used always evaluate the cases in order, ie.
`List<PlanProtocol.CNF>` | `getFiltersList()` | the cnf representing each case, the final "else" case is implicit, and if none of these evaluate to true then the implicit else is used always evaluate the cases in order, ie.
`PlanProtocol.CNFOrBuilder` | `getFiltersOrBuilder​(int index)` | the cnf representing each case, the final "else" case is implicit, and if none of these evaluate to true then the implicit else is used always evaluate the cases in order, ie.
`List<? extends PlanProtocol.CNFOrBuilder>` | `getFiltersOrBuilderList()` | the cnf representing each case, the final "else" case is implicit, and if none of these evaluate to true then the implicit else is used always evaluate the cases in order, ie.
`PlanProtocol.CheckedExceptionCols` | `getPostFilterCheckedCols​(int index)` | `repeated .xg.db.sqlPlans.CheckedExceptionCols postFilterCheckedCols = 3;`
`int` | `getPostFilterCheckedColsCount()` | `repeated .xg.db.sqlPlans.CheckedExceptionCols postFilterCheckedCols = 3;`
`List<PlanProtocol.CheckedExceptionCols>` | `getPostFilterCheckedColsList()` | `repeated .xg.db.sqlPlans.CheckedExceptionCols postFilterCheckedCols = 3;`
`PlanProtocol.CheckedExceptionColsOrBuilder` | `getPostFilterCheckedColsOrBuilder​(int index)` | `repeated .xg.db.sqlPlans.CheckedExceptionCols postFilterCheckedCols = 3;`
`List<? extends PlanProtocol.CheckedExceptionColsOrBuilder>` | `getPostFilterCheckedColsOrBuilderList()` | `repeated .xg.db.sqlPlans.CheckedExceptionCols postFilterCheckedCols = 3;`
`PlanProtocol.CheckedExceptionCols` | `getPreFilterCheckedCols​(int index)` | `repeated .xg.db.sqlPlans.CheckedExceptionCols preFilterCheckedCols = 2;`
`int` | `getPreFilterCheckedColsCount()` | `repeated .xg.db.sqlPlans.CheckedExceptionCols preFilterCheckedCols = 2;`
`List<PlanProtocol.CheckedExceptionCols>` | `getPreFilterCheckedColsList()` | `repeated .xg.db.sqlPlans.CheckedExceptionCols preFilterCheckedCols = 2;`
`PlanProtocol.CheckedExceptionColsOrBuilder` | `getPreFilterCheckedColsOrBuilder​(int index)` | `repeated .xg.db.sqlPlans.CheckedExceptionCols preFilterCheckedCols = 2;`
`List<? extends PlanProtocol.CheckedExceptionColsOrBuilder>` | `getPreFilterCheckedColsOrBuilderList()` | `repeated .xg.db.sqlPlans.CheckedExceptionCols preFilterCheckedCols = 2;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getFiltersList

List<PlanProtocol.CNF> getFiltersList()

    the cnf representing each case, the final "else" case is implicit, and if none of these evaluate to true then the implicit else is used
    always evaluate the cases in order, ie. check case 0, if thats true then done, if not check case 1, etc

`repeated .xg.db.sqlPlans.CNF filters = 1;`

### getFilters

PlanProtocol.CNF getFilters​(int index)

    the cnf representing each case, the final "else" case is implicit, and if none of these evaluate to true then the implicit else is used
    always evaluate the cases in order, ie. check case 0, if thats true then done, if not check case 1, etc

`repeated .xg.db.sqlPlans.CNF filters = 1;`

### getFiltersCount

int getFiltersCount()

    the cnf representing each case, the final "else" case is implicit, and if none of these evaluate to true then the implicit else is used
    always evaluate the cases in order, ie. check case 0, if thats true then done, if not check case 1, etc

`repeated .xg.db.sqlPlans.CNF filters = 1;`

### getFiltersOrBuilderList

List<? extends PlanProtocol.CNFOrBuilder> getFiltersOrBuilderList()

    the cnf representing each case, the final "else" case is implicit, and if none of these evaluate to true then the implicit else is used
    always evaluate the cases in order, ie. check case 0, if thats true then done, if not check case 1, etc

`repeated .xg.db.sqlPlans.CNF filters = 1;`

### getFiltersOrBuilder

PlanProtocol.CNFOrBuilder getFiltersOrBuilder​(int index)

    the cnf representing each case, the final "else" case is implicit, and if none of these evaluate to true then the implicit else is used
    always evaluate the cases in order, ie. check case 0, if thats true then done, if not check case 1, etc

`repeated .xg.db.sqlPlans.CNF filters = 1;`

### getPreFilterCheckedColsList

List<PlanProtocol.CheckedExceptionCols> getPreFilterCheckedColsList()
`repeated .xg.db.sqlPlans.CheckedExceptionCols preFilterCheckedCols = 2;`

### getPreFilterCheckedCols

PlanProtocol.CheckedExceptionCols getPreFilterCheckedCols​(int index)
`repeated .xg.db.sqlPlans.CheckedExceptionCols preFilterCheckedCols = 2;`

### getPreFilterCheckedColsCount

int getPreFilterCheckedColsCount()
`repeated .xg.db.sqlPlans.CheckedExceptionCols preFilterCheckedCols = 2;`

### getPreFilterCheckedColsOrBuilderList

List<? extends PlanProtocol.CheckedExceptionColsOrBuilder> getPreFilterCheckedColsOrBuilderList()
`repeated .xg.db.sqlPlans.CheckedExceptionCols preFilterCheckedCols = 2;`

### getPreFilterCheckedColsOrBuilder

PlanProtocol.CheckedExceptionColsOrBuilder getPreFilterCheckedColsOrBuilder​(int index)
`repeated .xg.db.sqlPlans.CheckedExceptionCols preFilterCheckedCols = 2;`

### getPostFilterCheckedColsList

List<PlanProtocol.CheckedExceptionCols> getPostFilterCheckedColsList()
`repeated .xg.db.sqlPlans.CheckedExceptionCols postFilterCheckedCols = 3;`

### getPostFilterCheckedCols

PlanProtocol.CheckedExceptionCols getPostFilterCheckedCols​(int index)
`repeated .xg.db.sqlPlans.CheckedExceptionCols postFilterCheckedCols = 3;`

### getPostFilterCheckedColsCount

int getPostFilterCheckedColsCount()
`repeated .xg.db.sqlPlans.CheckedExceptionCols postFilterCheckedCols = 3;`

### getPostFilterCheckedColsOrBuilderList

List<? extends PlanProtocol.CheckedExceptionColsOrBuilder> getPostFilterCheckedColsOrBuilderList()
`repeated .xg.db.sqlPlans.CheckedExceptionCols postFilterCheckedCols = 3;`

### getPostFilterCheckedColsOrBuilder

PlanProtocol.CheckedExceptionColsOrBuilder getPostFilterCheckedColsOrBuilder​(int index)
`repeated .xg.db.sqlPlans.CheckedExceptionCols postFilterCheckedCols = 3;`